app:
  description: ''
  icon: 🤖
  icon_background: '#FFEAD5'
  mode: workflow
  name: 意味を教えてくれるくん
  use_icon_as_answer_icon: false
kind: app
version: 0.1.4
workflow:
  conversation_variables: []
  environment_variables: []
  features:
    file_upload:
      allowed_file_extensions:
      - .JPG
      - .JPEG
      - .PNG
      - .GIF
      - .WEBP
      - .SVG
      allowed_file_types:
      - image
      allowed_file_upload_methods:
      - local_file
      - remote_url
      enabled: false
      fileUploadConfig:
        audio_file_size_limit: 50
        batch_count_limit: 5
        file_size_limit: 15
        image_file_size_limit: 10
        video_file_size_limit: 100
        workflow_file_upload_limit: 10
      image:
        enabled: false
        number_limits: 3
        transfer_methods:
        - local_file
        - remote_url
      number_limits: 3
    opening_statement: ''
    retriever_resource:
      enabled: true
    sensitive_word_avoidance:
      enabled: false
    speech_to_text:
      enabled: false
    suggested_questions: []
    suggested_questions_after_answer:
      enabled: false
    text_to_speech:
      enabled: false
      language: ''
      voice: ''
  graph:
    edges:
    - data:
        isInIteration: false
        sourceType: start
        targetType: llm
      id: 1734965492449-source-1734966190367-target
      source: '1734965492449'
      sourceHandle: source
      target: '1734966190367'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: llm
        targetType: end
      id: 1734966190367-source-1734967095156-target
      source: '1734966190367'
      sourceHandle: source
      target: '1734967095156'
      targetHandle: target
      type: custom
      zIndex: 0
    nodes:
    - data:
        desc: ''
        selected: false
        title: 開始
        type: start
        variables:
        - label: input_text
          max_length: 48
          options: []
          required: true
          type: text-input
          variable: input_text
      height: 90
      id: '1734965492449'
      position:
        x: 30
        y: 249
      positionAbsolute:
        x: 30
        y: 249
      selected: true
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        context:
          enabled: false
          variable_selector: []
        desc: ''
        model:
          completion_params:
            temperature: 0.7
          mode: chat
          name: gpt-4o-mini
          provider: openai
        prompt_template:
        - id: 87dbb24c-94e1-493d-b1bb-fe44cd6e9c3c
          role: system
          text: 単語の意味を教えてください
        - id: d475ae75-66d9-406f-98db-39b62fa4b938
          role: user
          text: '{{#1734965492449.input_text#}}'
        selected: false
        title: LLM
        type: llm
        variables: []
        vision:
          enabled: false
      height: 98
      id: '1734966190367'
      position:
        x: 334
        y: 249
      positionAbsolute:
        x: 334
        y: 249
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        outputs:
        - value_selector:
          - '1734966190367'
          - text
          variable: output_text
        selected: false
        title: 終了
        type: end
      height: 90
      id: '1734967095156'
      position:
        x: 638
        y: 249
      positionAbsolute:
        x: 638
        y: 249
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    viewport:
      x: 9.234809432153497
      y: -96.72163301043958
      zoom: 0.9463999382690808
